---
Name: esxi_670u3-16316930-20200407_lenovo-install
Description: Install BootEnv for ESXi 670u3-16316930-20200407 for lenovo
Documentation: |
  Provides VMware BootEnv for ESXi 670u3-16316930-20200407 for lenovo
  For more details, and to download ISO see:

    - <https://vmware.lenovo.com/content/custom_iso/6.7/6.7u3/>

  !!! note
      The ISO filename and sha256sum must match this BootEnv exactly.

Meta:
  color: blue
  icon: zip
  title: RackN Content
OS:
  Codename: esxi
  Family: vmware
  IsoFile: VMware-ESXi-6.7.0.update03-16316930-LNV-20200710.iso
  IsoSha256: ba368051a589bb988c39e93305f2b7acbc356a43a7d4824f18219ed5ef97c7eb
  IsoUrl: ""
  Name: esxi_670u3-16316930-20200407_lenovo
  SupportedArchitectures: {}
  Version: 670u3
OnlyUnknown: false
OptionalParams:
  - provisioner-default-password-hash
RequiredParams: []
Kernel: ../../chain.c32
BootParams: -c {{.Machine.Path}}/boot.cfg
Initrds: []
Loaders:
  amd64-uefi: efi/boot/bootx64.efi
Templates:
  - ID: esxi-chain-pxelinux.tmpl
    Name: pxelinux
    Path: pxelinux.cfg/{{.Machine.HexAddress}}
  - ID: esxi-chain-pxelinux.tmpl
    Name: pxelinux-mac
    Path: pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}
  - ID: esxi-ipxe.cfg.tmpl
    Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
  - ID: esxi-ipxe.cfg.tmpl
    Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: esxi-install-py3.ks.tmpl
    Name: compute.ks
    Path: "{{.Machine.Path}}/compute.ks"
  - ID: esxi_670u3-16316930-20200407_lenovo.boot.cfg.tmpl
    Name: boot.cfg
    Path: "{{.Machine.Path}}/boot.cfg"
  - ID: esxi_670u3-16316930-20200407_lenovo.boot.cfg.tmpl
    Name: boot-uefi.cfg
    Path: '{{.Env.PathForArch "tftp" "" "amd64"}}/efi/boot/{{.Machine.MacAddr "pxelinux"}}/boot.cfg'
